Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QObjectListIt Class Reference

The QObjectListIt class provides an iterator for QObjectLists. More...

`#include <qobjectlist.h>`

Inherits QPtrListIterator<QObject>.

List of all member functions.

## Public Members

- QObjectListIt ( const QObjectList & list )
- QObjectListIt & operator= ( const QObjectListIt & it )

## Detailed Description

The QObjectListIt class provides an iterator for QObjectLists.

A QObjectListIt iterator is a QPtrListIterator<QObject>.

See QObject::queryList() for an example of use.

See also QObjectList, Collection Classes and Non-GUI Classes.

## Member Function Documentation

### QObjectListIt::QObjectListIt ( const QObjectList & list )

Constructs an iterator for list. The current iterator item is set to point on the first item in the list.

### QObjectListIt & QObjectListIt::operator= ( const QObjectListIt & it )

Assignment. Makes a copy of the iterator it and returns a reference to this iterator.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.